Retail Express API 2.1

Searches PriceGroups by parameters

Searches PriceGroups by parameters

get
https://api.retailexpress.com.au/v2.1/pricegroups/standard

Query Parameters

order_bystring | null

Order by.

Available field name values: name

Available direction values: asc, desc.

Example: name desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns PriceGroups

StandardPriceGroup.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/pricegroups/standard
 
application/json

Searches Fixed Price Groups by parameters

Searches Fixed Price Groups by parameters

get
https://api.retailexpress.com.au/v2.1/pricegroups/fixed

Query Parameters

order_bystring | null

Order by.

Available field name values: name

Available direction values: asc, desc.

Example: name desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns PriceGroups2FixedPricings

FixedPriceGroup.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/pricegroups/fixed
 
application/json

Creates Fixed Price Group

Sample request:

POST /pricegroups/fixed
{ 
    "name": "Fixed price group 1"
}
post
https://api.retailexpress.com.au/v2.1/pricegroups/fixed

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Fixed Price Group

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Fixed Price Group created

FixedPriceGroup

* Additional properties are NOT allowed.
idinteger(int32)

Identifier

namestring | null

Name

modified_onstring(date-time)

Date of last modification of Fixed Price Group

post/pricegroups/fixed

Body

{}
 
application/json

Updates specific Fixed Price Group by id

Sample request:

PUT /pricegroups/fixed/1
{
    "name": "Renamed fixed price group"
}
put
https://api.retailexpress.com.au/v2.1/pricegroups/fixed/{id}

Path Parameters

idinteger(int32)required

Fixed Price Group id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Fixed Price Group model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Fixed Price Group was updated

FixedPriceGroup

* Additional properties are NOT allowed.
idinteger(int32)

Identifier

namestring | null

Name

modified_onstring(date-time)

Date of last modification of Fixed Price Group

put/pricegroups/fixed/{id}

Body

{}
 
application/json

Deletes specific Fixed Price Group by id

Deletes specific Fixed Price Group by id

delete
https://api.retailexpress.com.au/v2.1/pricegroups/fixed/{id}

Path Parameters

idinteger(int32)required

Fixed Price Group id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Fixed Price Group was deleted

delete/pricegroups/fixed/{id}